import { Component, OnInit } from '@angular/core';
import { PickerController,ToastController } from '@ionic/angular';

@Component({
  selector: 'app-dao-chu',
  templateUrl: './dao-chu.page.html',
  styleUrls: ['./dao-chu.page.scss'],
})
export class DaoChuPage implements OnInit {

  constructor(public pickerController:PickerController,public TCL:ToastController) { }

  selectedStartDate: string;
  selectedEndDate: string;

  async startDatePicker() {
    const picker = await this.pickerController.create({
      buttons: [
        {
          text: '取消',
          role:'cancel',
        },
        {
          text: '确定',
          handler: (selected) => {
            this.selectedStartDate = selected.dateYear.value +
             '/' + selected.dateMonth.value + '/' + selected.dateDay.value;
          },
        },
        
      ],
      columns: [
        {
          name: 'dateYear',
          options: [
            { text: '2022年', value: '2022' },
            { text: '2021年', value: '2021' },
            { text: '2020年', value: '2020' },
          ]
        },
        {
          name: 'dateMonth',
          options: [
            { text: '1月', value: '1' },
            { text: '2月', value: '2' },
            { text: '3月', value: '3' },
            { text: '4月', value: '4' },
            { text: '5月', value: '5' },
            { text: '6月', value: '6' },
            { text: '7月', value: '7' },
            { text: '8月', value: '8' },
            { text: '9月', value: '9' },
            { text: '10月', value: '10' },
            { text: '11月', value: '11' },
            { text: '12月', value: '12' },
          ]
        },
        {
          name: 'dateDay',
          options: [
            { text: '1日', value: '1' },
            { text: '2日', value: '2' },
            { text: '3日', value: '3' },
            { text: '4日', value: '4' },
            { text: '5日', value: '5' },
            { text: '6日', value: '6' },
            { text: '7日', value: '7' },
            { text: '8日', value: '8' },
            { text: '9日', value: '9' },
            { text: '10日', value: '10' },
            { text: '11日', value: '11' },
            { text: '13日', value: '13' },
            { text: '14日', value: '14' },
            { text: '15日', value: '15' },
            { text: '16日', value: '16' },
            { text: '17日', value: '17' },
            { text: '18日', value: '18' },
            { text: '19日', value: '19' },
            { text: '20日', value: '20' },
            { text: '21日', value: '21' },
            { text: '22日', value: '22' },
            { text: '23日', value: '23' },
            { text: '24日', value: '24' },
            { text: '25日', value: '25' },
            { text: '26日', value: '26' },
            { text: '27日', value: '27' },
            { text: '28日', value: '28' },
            { text: '29日', value: '29' },
            { text: '30日', value: '30' },
            { text: '31日', value: '31' },
          ]
        }
      ]
    });
    await picker.present();
  }

  async endDatePicker() {
    const picker = await this.pickerController.create({
      buttons: [
        {
          text: '取消',
          role:'cancel',
        },
        {
          text: '确定',
          handler: (selected) => {
            this.selectedEndDate = selected.dateYear.value +
             '/' + selected.dateMonth.value + '/' + selected.dateDay.value;
          },
        },
        
      ],
      columns: [
        {
          name: 'dateYear',
          options: [
            { text: '2022年', value: '2022' },
            { text: '2021年', value: '2021' },
            { text: '2020年', value: '2020' },
          ]
        },
        {
          name: 'dateMonth',
          options: [
            { text: '1月', value: '1' },
            { text: '2月', value: '2' },
            { text: '3月', value: '3' },
            { text: '4月', value: '4' },
            { text: '5月', value: '5' },
            { text: '6月', value: '6' },
            { text: '7月', value: '7' },
            { text: '8月', value: '8' },
            { text: '9月', value: '9' },
            { text: '10月', value: '10' },
            { text: '11月', value: '11' },
            { text: '12月', value: '12' },
          ]
        },
        {
          name: 'dateDay',
          options: [
            { text: '1日', value: '1' },
            { text: '2日', value: '2' },
            { text: '3日', value: '3' },
            { text: '4日', value: '4' },
            { text: '5日', value: '5' },
            { text: '6日', value: '6' },
            { text: '7日', value: '7' },
            { text: '8日', value: '8' },
            { text: '9日', value: '9' },
            { text: '10日', value: '10' },
            { text: '11日', value: '11' },
            { text: '13日', value: '13' },
            { text: '14日', value: '14' },
            { text: '15日', value: '15' },
            { text: '16日', value: '16' },
            { text: '17日', value: '17' },
            { text: '18日', value: '18' },
            { text: '19日', value: '19' },
            { text: '20日', value: '20' },
            { text: '21日', value: '21' },
            { text: '22日', value: '22' },
            { text: '23日', value: '23' },
            { text: '24日', value: '24' },
            { text: '25日', value: '25' },
            { text: '26日', value: '26' },
            { text: '27日', value: '27' },
            { text: '28日', value: '28' },
            { text: '29日', value: '29' },
            { text: '30日', value: '30' },
            { text: '31日', value: '31' },
          ]
        }
      ]
    });
    await picker.present();
  }

  async onClick() {
    const toast = await this.TCL.create({
      mode:'ios',
      message:'导出成功！',
      position:'top',
      duration:2000,

    })

    toast.present();

  }

  ngOnInit() {
  }

}
