import { Component, OnInit } from '@angular/core';
import { ToastController } from '@ionic/angular';
import { ModalController } from '@ionic/angular';

@Component({
  selector: 'app-zd',
  templateUrl: './zd.component.html',
  styleUrls: ['./zd.component.scss'],
})
export class ZdComponent implements OnInit {

  constructor(public MDCL:ModalController,public TCL:ToastController) {}
  public flag:boolean = true;
  public beiZhu:string = '';
  public jinE:any;
  public type = '餐饮';



  public outList = [
    {nam:'餐饮',icon:'fast-food',value:'餐饮',},
    {nam:'购物',icon:'bag-remove',value:'购物'},
    {nam:'交通',icon:'car-sport',value:'交通'},
    {nam:'住房',icon:'home',value:'住房'},
    {nam:'通讯',icon:'call',value:'通讯'},
    {nam:'维修',icon:'build',value:'维修'},
    {nam:'其他',icon:'ellipsis-horizontal-circle',value:'其他'}
  ]

  public inList = [
    {nam:'工资',icon:'wallet',value:'工资'},
    {nam:'理财',icon:'server',value:'理财'},
    {nam:'红包',icon:'logo-yen',value:'红包'},
    {nam:'其他',icon:'ellipsis-horizontal-circle',value:'其他'}
  ]
 
  segmentChanged(){
    if (this.flag) {
      this.type = '工资';
      this.flag = !this.flag;
    } else {
      this.type = '餐饮';
      this.flag = !this.flag;
    }
  }

  

  closeClick() {
    this.MDCL.dismiss({click:'close'});
  }

  async finishClick() {
    let t = new Date();
    let m = '';
    let n = '';
    if (this.flag) {
      m = '-' + this.jinE;
      n = '支出';
    } else {
      m = '+' + this.jinE; 
      n = '收入';
    };

    let H = t.getHours(); 
    let M = t.getMinutes();
    let hour;
    let minute;

    if ( H < 10) {
      hour = '0' + H;
    } else {
      hour = H;
    }

    if ( M < 10) {
      minute = '0' + M;
    } else {
      minute = M;
    }

    if (this.jinE) {
      this.MDCL.dismiss({
        click:'finish',
        nam:n,
        类型:this.type,
        备注:this.beiZhu,
        时间:t.toLocaleDateString() + ' ' + hour + ':' + minute,
        金额:m,
      })
    } else {
      const toast = await this.TCL.create({
        mode:'ios',
        message:'输入的金额不能为空',
        position:'top',
        duration:2000,
        
      })
      toast.present();

    }

    
    

  }

  ngOnInit() {}

}
